Create a new User
curl --request POST \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/users/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user": {
"enabledUser": true,
"givenName": "<string>",
"familyName": "<string>",
"roles": [
{
"org": {
"sourcedId": "<string>"
},
"userProfile": "<string>",
"metadata": {
"alphaLevelAccess": [
"<string>"
]
},
"beginDate": "<string>",
"endDate": "<string>"
}
],
"email": "jsmith@example.com",
"sourcedId": "<string>",
"metadata": {
"onboarding": {},
"isTestUser": true
},
"status": "active",
"userMasterIdentifier": "<string>",
"username": "<string>",
"userIds": [
{
"type": "<string>",
"identifier": "<string>"
}
],
"middleName": "<string>",
"preferredFirstName": "<string>",
"preferredMiddleName": "<string>",
"preferredLastName": "<string>",
"pronouns": "<string>",
"grades": [],
"password": "<string>",
"sms": "<string>",
"phone": "<string>",
"agents": []
}
}
'import requests
url = "https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/users/"
payload = { "user": {
"enabledUser": True,
"givenName": "<string>",
"familyName": "<string>",
"roles": [
{
"org": { "sourcedId": "<string>" },
"userProfile": "<string>",
"metadata": { "alphaLevelAccess": ["<string>"] },
"beginDate": "<string>",
"endDate": "<string>"
}
],
"email": "jsmith@example.com",
"sourcedId": "<string>",
"metadata": {
"onboarding": {},
"isTestUser": True
},
"status": "active",
"userMasterIdentifier": "<string>",
"username": "<string>",
"userIds": [
{
"type": "<string>",
"identifier": "<string>"
}
],
"middleName": "<string>",
"preferredFirstName": "<string>",
"preferredMiddleName": "<string>",
"preferredLastName": "<string>",
"pronouns": "<string>",
"grades": [],
"password": "<string>",
"sms": "<string>",
"phone": "<string>",
"agents": []
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
user: {
enabledUser: true,
givenName: '<string>',
familyName: '<string>',
roles: [
{
org: {sourcedId: '<string>'},
userProfile: '<string>',
metadata: {alphaLevelAccess: ['<string>']},
beginDate: '<string>',
endDate: '<string>'
}
],
email: 'jsmith@example.com',
sourcedId: '<string>',
metadata: {onboarding: {}, isTestUser: true},
status: 'active',
userMasterIdentifier: '<string>',
username: '<string>',
userIds: [{type: '<string>', identifier: '<string>'}],
middleName: '<string>',
preferredFirstName: '<string>',
preferredMiddleName: '<string>',
preferredLastName: '<string>',
pronouns: '<string>',
grades: [],
password: '<string>',
sms: '<string>',
phone: '<string>',
agents: []
}
})
};
fetch('https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/users/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sourcedIdPairs": {
"suppliedSourcedId": "<string>",
"allocatedSourcedId": "<string>"
}
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unauthorisedrequest"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "forbidden"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unknownobject"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "server_busy"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "internal_server_error"
}
]
},
"imsx_error_details": [
{}
]
}Users Management
Create a new User
To create a new User on the service provider. The responding system must return the set of sourcedIds that have been allocated to the newly created user record.
POST
/
ims
/
oneroster
/
rostering
/
v1p2
/
users
/
Create a new User
⌘I